package com.itant.shiwushu.ui.login;


import com.itant.shiwushu.base.IBasePresenter;
import com.itant.shiwushu.base.IBaseView;
import com.itant.shiwushu.bean.User;

public interface LoginContract {
    interface View extends IBaseView {
        void onEmailLoginSuccess(User user);
        void onEmailLoginFailed(String message);

        void onQQLoginSuccess(User user);
        void onQQLoginFailed(String message);
    }

    interface Presenter extends IBasePresenter {
        void qqLogin(String openId, String token, String nickName, String headIconUrl);
        void login(String email, String password);
    }
}